<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];     // ***************  06/11(09 ********************
$id_user = $_SESSION['ss_user'];
$id_autoriza=44;

/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
include("../css/mascara_fecha.js");
if ( isset($_GET["cnt"])) $contprod=$_GET["cnt"]; 
else $contprod=1;

if ($lstdcto=='') $lstdcto=33;

if ($lstpago=='') $lstpago=2;

if ($id_bodega=='')
{
 if ($id_empresa==1) $id_bodega =1; else $id_bodega =5;
 
 
}
if ($lstvendedor=='') $lstvendedor=1;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Venta</title>
</head>
<?
/*********** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en sesion******/
	$sql_empresa = "SELECT * FROM empresa  WHERE id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$row=$row+1;
		}
/***************** sacar valor de iva ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'IVA'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$par_iva=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}
/***************** sacar valor de UF ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'UF'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$UF=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}		
/************************* Busca numero documento *****************************************/	

$sql_par = "SELECT correlativo FROM tipo_dcto_num_bodega  WHERE id_bodega = $id_bodega AND id_empresa = $id_empresa AND id_dcto=$lstdcto";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$txtndcto=mysql_result($res_par, $row, "correlativo");
		$txtndcto+=1;
		$row=$row+1;
		}
		if (isset($_POST["txtdocumento"])) { $txtdocumento = $_POST["txtdocumento"];}
		else { $txtdocumento = 'FACTURA ELECTRONICA Nº '.$txtndcto; }



/******************************** fechas ***********************************************/	
		if ($fecha=='') $fecha = date(d)."/".date(m)."/".date(Y);
    	if ($fecha2=='') $fecha2 =  date(d)."/".date(m)."/".date(Y);
		if ($fecha3=='') $fecha3 = date(d)."/".date(m)."/".date(Y);

?>

<script type="text/javascript" src="../css/validarut.js"></script>
<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>
<?
if ($lstcom=='')
    {
	?>
   <body onLoad="JavaScript: document.form1.txtrut.focus()">
  <?
    }
  ?>
<form id="form1" name="form1" method="post" action="">
<table width="700" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="60"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="189"><div align="left"><font size="1">
		<?=$empresa_nombre?>
		<?=$empresa_direccion?>
		<?=$empresa_ciudad;?>

		</font></div>	</td>
    <td width="504">&nbsp;</td>
  </tr>
</table>
<table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr> 
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
		<td width="20%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
		<td width="40%"><div align="center">
		  <input type="text" name="txtdocumento" id="txtdocumento" value="<?=$txtdocumento;?>" style="font-size:16px; border-width:0; width:100%" />
		</div></td>
		<td width="20%"><div align="right"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong>UF: $ </div></td>
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong>  <input type="text" name="uf" id="uf" value="<?=$UF;?>" style="font-size:17px; border-width:0; width:100%" /></div></td>
    </tr>
</table>

<table width="665" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="100">R.U.T.</td>
    <td width="139"><input name="txtrut" id="txtrut" value="<?=$txtrut;?>" type="text" onBlur="comprueba()"  onkeypress="return valida(event);" size="23" maxlength="12"/></td>
    <td width="26" align="left"><a onClick="JavaScript:PopWindow('buscacliente.php')"> <img id="foto1" name="foto1" align="middle" border="0" src="../Images/modificar.gif" style="cursor:pointer" title="Presione aqui para buscar cliente" width="16" height="16" /> </a></td>
    <td width="116" align="right"><div align="left">Señor: &nbsp;</div></td>
    <td width="284"><input name="txtrsoc" id="txtrsoc" type="text" size="42" value="<?=$txtrsoc;?>" onKeyPress="validaenter(event,1);" />    </td>
    
  </tr>
  <tr>
    <td align="right"><div align="left">Actividad:&nbsp; </div></td>
    <td><input name="txtactividad" id="txtactividad" type="text" size="23" value="<?=$txtactividad;?>" onKeyPress="validaenter(event,3);" />    </td>
    <td>&nbsp;</td>
    <td>Sucursal</td>
   <td><input name="txtsucursal" id="txtsucursal" type="text" size="23" value="<?=$txtsucursal;?>" onKeyPress="validaenter(event,3);" />    </td>
    
  </tr>
  
  
  <tr>
    <td>Fono: </td>
    <td><input name="txtfono" id="txtfono" type="text" size="23" value="<?=$txtfono;?>" onKeyPress="validaenter(event,6);" /></td>
    <td>&nbsp;</td>
    <td align="right"><div align="left">Regi&oacute;n: &nbsp;</div></td>
    <td><select name="lstreg" style="width:200px">
      <option value="null" selected>SELECCIONE REGION
        <?
			$cons_region = mysql_query("SELECT * FROM regiones;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_region) ) 
 			{
 				$ides=mysql_result($cons_region, $cont, "Cod_Region");
  				$nombres=mysql_result($cons_region, $cont, "Region");
  				if($lstreg==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
        </option>
    </select></td>
       
  </tr>
  <tr>
    <td>Fax:</td>
    <td><input name="txtfax" id="txtfax" type="text"  size="23" value="<?=$txtfax;?>" onKeyPress="validaenter(event,7);" /></td>
    <td>&nbsp;</td>
    <td align="right"><div align="left">Comuna:&nbsp; </div></td>
    <td>
    <?

	if ($lstreg=='')$lstreg=0;
	
	if($lstcom==$ides){
	
						?>
      			<script>
			document.form1.lstcom.disabled=false;
					</script>
        			<?
	         		}
					
	?>
    
    <select name="lstcom"   style="width:200px">
      <option value="null">SELECCIONE COMUNA
        <?
		
			$cons_com = mysql_query("SELECT * FROM comunas WHERE region=$lstreg;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_com) ) 
 			{
 				$ides=mysql_result($cons_com, $cont, "cod_comuna");
  				$nombres=mysql_result($cons_com, $cont, "comuna");
  				if($lstcom==$ides){
					$sel="selected";
					}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
        </option>
    </select></td>
        
  </tr>
  <tr>
    <td>Ciudad:&nbsp; </td>
    <td><input name="txtciudad" id="txtciudad" type="text" size="23" value="<?=$txtciudad;?>" onKeyPress="validaenter(event,4);" /></td>
    <td>&nbsp;</td>
    <td align="right"><div align="left">Direcci&oacute;n:</div></td>
    <td><input name="txtdireccion" id="txtdireccion" type="text" size="42" value="<?=$txtdireccion;?>" onKeyPress="validaenter(event,5);" /></td>
        
  </tr>
  <tr>
   <td>E-Mail</td>
    <td><input name="txtemail" id="txtemail" type="text" size="23" value="<?=$txtemail;?>" onKeyPress="validaenter(event,2);" />    </td>
    <td>&nbsp;</td>
    <td align="right"><div align="left">Tipo Dcto.</div></td>
    <td><select name="lstdcto" style="width:200px" onChange="fun_busca_numero_documento('form1');">
      <?
			$cons_dcto = mysql_query("SELECT * FROM tipo_dcto;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_dcto) ) 
 			{
 				$ides=mysql_result($cons_dcto, $cont, "id");
  				$nombres=mysql_result($cons_dcto, $cont, "descripcion");
  				if($lstdcto==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
    </select></td>
        
  </tr>
  <tr>
    <td>Emision:</td>
    <td><input name="fecha" type="text" id="fecha" style="border-width:0;" value="<?=$fecha?>" size="23" readonly="1" />    </td>
    <td><a  href="javascript:show_calendar('form1.fecha');"><img src="../Images/CALENDAR.gif" name="foto2" width="20" height="17" border="0" align="top" id="foto2" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a></td>
    <td>N&ordm; Dcto. </td>
    <td><input name="txtndcto" type="text" id="txtndcto" value="<?=$txtndcto?>" size="23"  onKeyPress="return validanum(event)" onBlur="actualizadcto('form1');"/></td>
  </tr>
  <tr>
  
    <td>Fecha Ven.: </td>
    
    <td><input name="fecha2" type="text" id="fecha2" style="border-width:0;" value="<?=$fecha2?>" size="23" readonly="1"/></td>

<td><a  href="javascript:show_calendar('form1.fecha2');"><img name="foto3" id="foto3" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a> </td>
   
    <td>Bodega:</td>
   
	<td><select name="id_bodega"  style="width:200px" onChange="fun_busca_numero_documento('form1');">
      <? 
		$sql_buem= mysql_query("SELECT * FROM bodega WHERE empresa=$id_empresa",$enlace);
		$buem_contb = 0;
		while ( mysql_fetch_object($sql_buem))
			{
		$sqlbuem_codigo=mysql_result($sql_buem, $buem_contb, "id");
			$sqlbuem_rsoc=mysql_result($sql_buem, $buem_contb, "descripcion");
			if($id_bodega==$sqlbuem_codigo){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$sqlbuem_codigo."\"$sel>".$sqlbuem_rsoc."\n";
    
			$buem_contb += 1;
			} 
		?>
    </select></td>
    
 
        
        
  </tr>
  <tr>
    <td>Credito</td>
    <td><input name="txtmontoctacte" type="text" id="txtmontoctacte" style="border-width:0;text-align:right;font-size:14px;" value="<?=$txtmontoctacte;?>" size="14" readonly="1" /></td>
    <td>&nbsp;</td>
    <td>Tipo Pago:</td>
    <td><select name="lstpago" id="lstpago" style="width:200px" onChange="validactacte();">
      <? if ($lstpago==''){$lstpago=3;}?>
      <?
			$cons_pago = mysql_query("SELECT * FROM tipo_pago WHERE descripcion ='CONTADO' OR descripcion = 'CREDITO'", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_pago) ) 
 			{
 				$ides=mysql_result($cons_pago, $cont, "id");
  				$nombres=mysql_result($cons_pago, $cont, "descripcion");
  				if($lstpago==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
    </select>
   </td>
       
  </tr>
  <tr>
    <td>Utilizado</td>
    <td><input name="txtsaldoctacte" type="text" id="txtsaldoctacte"  value="<?=$txtsaldoctacte;?>" size="14" readonly="1" style="border-width:0;text-align:right;font-size:14px;"/></td>
    <td>&nbsp;</td>
    <td>Dias Plazo.</td>
    <td><input name="txtdiasplazo" type="text" id="txtdiasplazo" style="border-width:0;" value="<?=$txtdiasplazo;?>" size="23"  readonly="1" /></td>

        
  </tr>
  <tr>
    <td>Documentado</td>
    <td><input name="txtsaldodcto" type="text" id="txtsaldodcto"  value="<?=$txtsaldodcto;?>" size="14" readonly="1" style="border-width:0;text-align:right;font-size:14px;"/></td>
    <td>&nbsp;</td>
    <td>Orden Compra</td>
     <td><input name="txtorden" id="txtorden" type="text" size="10" value="<?=$txtorden;?>" onKeyPress="validaenter(event,2);" />    </td>

  </tr>
  
    <tr>
    <td>Zona:</td>
    <td><select name="lstzona" id="lstzona" style="width:138px">
      <?
			$cons_pago = mysql_query("SELECT * FROM zona", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_pago) ) 
 			{
 				$ides=mysql_result($cons_pago, $cont, "id");
  				$nombres=mysql_result($cons_pago, $cont, "descripcion");
  				if($lstzona==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
  				$cont = $cont + 1;
 			}
			?>
    </select></td>
    <td>&nbsp;</td>
    <td>Vendedor:</td>
    <td><select name="lstvendedor" id="lstvendedor" style="width:200px">
      <?
			$cons_pago = mysql_query("SELECT * FROM vendedor", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_pago) ) 
 			{
 				$ides=mysql_result($cons_pago, $cont, "id");
  				$nombres=mysql_result($cons_pago, $cont, "nombres");
  				if($lstvendedor==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
  				$cont = $cont + 1;
 			}
			?>
    </select></td>
   
  </tr>
 </table>
 <table width="574" border="0" align="center" cellpadding="1" cellspacing="0" bordercolor="#000000">
 <tr>
    
    <td width="88">Observacion</td>
     <td width="554"><input name="txtobserva" id="txtobserva" type="text" size="60" value="<?=$txtobserva;?>" onKeyPress="validaenter(event,2);" />    </td>
<td width="10">Desc</td>
     <td><input name="descuento_cliente" id="descuento_cliente" type="text" size="4" value="0" /> </td>
  </tr>
 </table>
 
  <table width="200" border="0" align="center" cellpadding="1" cellspacing="0" bordercolor="#000000">
 <tr>
    
    <td>Contrato_1</td>
     <td><input name="contrato_1" id="contrato_1" type="text" size="10" value=""  />    </td>
<td>Tipo_1</td>
     <td><input name="tipo_1" id="tipo_1" type="text" size="4" value="" /> </td>
     <td>Valor_1</td>
     <td><input name="valor_1" id="valor_1" type="text" size="10" value="" /> </td>
      <td>Cant_1</td>
     <td><input name="cantidad_1" id="cantidad_1" type="text" size="10" value="" /> </td>
       <td>Total_1</td>
     <td><input name="total_1" id="total_1" type="text" size="10" value="" /> </td>
  </tr>
 </table>
<table width="700" border="0" align="center" cellpadding="1" cellspacing="0" bordercolor="#000000">
<tr bgcolor="#000000"> 
	  <td width="59"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">C&oacute;digo</font></strong></div></td>
	  <td width="17"><div align="center"></div></td>
	  <td width="262"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Detalle</font></strong></div></td>
       <td width="63"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Cant</font></strong></div></td>
	  <td width="100"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Precio</font></strong></div></td>
      <td width="100"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Desc/Bono</font></strong></div></td>
	  <td width="100"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Total $</font></strong></div></td>
      <td width="1" align="center" bordercolor="#FFFFFF" bgcolor="#FFFFFF">&nbsp;</td> 
       <td width="1" align="center" bordercolor="#FFFFFF" bgcolor="#FFFFFF">&nbsp;</td> 
    </tr>
<? 
$cant=1;
while ($cant<=$contprod)
	{
	?>
	
   <tr> 
   <td> <input name="codigo[<?=$cant;?>]" id="codigo[<?=$cant;?>]" type="text" value="" size="9" style="text-align:center;font-size:14px;" onBlur="busc_prod('<?=$cant;?>');" onKeyPress="fun_carga(event,'<?=$cant;?>');"></td>
      
	  <td> <a onClick="JavaScript:PopWindow4('<?=$cant;?>')">
      <IMG align="top" border="0" src="../Images/modificar.gif" style="cursor:pointer" title="Presione aqui para buscar producto" width="16" height="16"></a> </td>
			
<td> <input name="detalle[<?=$cant;?>]" id="detalle[<?=$cant;?>]" type="text" value="<?=$detalle[$cant];?>"  size="40" style="text-align:center;font-size:14px;" > </td>

<td><input name="cantidad[<?=$cant;?>]" id="cantidad[<?=$cant;?>]" type="text" onKeyPress="return validanum2(event,'<?=$cant;?>')" value="<?=$cantidad[$cant];?>" size="6" style="text-align:center;font-size:14px;" onBlur="calculo('<?=$cant;?>');"></td>
		
<td> <input name="precio[<?=$cant;?>]" id="precio[<?=$cant;?>]" type="text"  value=""  onKeyPress="return validanum2(event,'<?=$cant;?>')"  onBlur="calculo('<?=$cant;?>');"size="17" style="text-align:center;font-size:14px;"></td>
	  <td><input name="desc[<?=$cant;?>]"  id="desc[<?=$cant;?>]" type="text"  value="<?=$desc[$cant];?>" onKeyPress="return validanum2(event,'<?=$cant;?>')" onBlur="calculo('<?=$cant;?>');"  readonly="1" size="17" style="text-align:center;font-size:14px;"></td>
<td><input name="total[<?=$cant;?>]" id="total[<?=$cant;?>]" type="text"  value="" readonly="1"  size="17" style="text-align:center;font-size:14px;"></td>
       <td  width="8"> <input name="auxsaldo[<?=$cant;?>]"  id="auxsaldo[<?=$cant;?>]"  type="text" value="<?=$auxsaldo[$cant];?>" readonly="1" style="visibility:hidden"  size="1" >
       
       <td  width="8"> <input name="peso[<?=$cant;?>]"  id="peso[<?=$cant;?>]"  type="text" value="<?=$peso[$cant];?>" readonly="1" style="visibility:hidden"  size="1" >
        <td  width="8"> <input name="afecto[<?=$cant;?>]"  id="afecto[<?=$cant;?>]"  type="text" value="<?=$afecto[$cant];?>" readonly="1" style="visibility:hidden"  size="1" >
  </td> 
    </tr> 
     
	<? 
	$cant+=1;
	}
	?>

<tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
	
	  <td><div align="right">Total kilos</div></td>
        <td>&nbsp;</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="totalkilos" id="totalkilos" type="text" value="<?=$totalkilos;?>" style="text-align:right;width:100%" readonly="1" />
	  </font></strong></td>
	  <td width="17%"><div align="right">Sub Total</div></td>
    <td width="21%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="txtst" id="txtst" type="text" value="<?=$txtst;?>" size="17" style="text-align:center;font-size:14px;">
		</font></strong></td>
	</tr>
	<tr bordercolor="#000000"> 
	 <td>&nbsp;</td>
    <td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td width="27%"><div align="right"><strong><font color="#333333" >Descuentos</font></strong></div></td>
        <td align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtpor" id="txtpor" type="text" value="<?=$txtpor;?>" size="5" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)" onBlur="calcula_total();"> % </font></strong></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtdes" id="txtdes" type="text" value="<?=$txtdes;?>" size="17" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)" onBlur="fun_cint();">
		</font></strong></td>
    </tr>
    	<tr bordercolor="#000000"> 
		 <td>&nbsp;</td>
    <td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td><div align="right">Exento</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif"><!-- estan con neto -->
		      <input name="txtexento" id="txtexento" type="text" value="<?=$txtexento;?>" size="17" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)" />
		</font></strong></td>
    </tr>
    	<tr bordercolor="#000000"> 
		 <td>&nbsp;</td>
    <td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td><div align="right">Neto</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif"><!-- estan con neto -->
		      <input name="txtneto" id="txtneto" type="text" value="<?=$txtneto;?>" size="17" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)" />
		</font></strong></td>
    </tr>
	<tr bordercolor="#000000">
     <td>&nbsp;</td>
    <td>&nbsp;</td> 
        <td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td><div align="right">IVA</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtiva" id="txtiva" type="text" value="<?=$txtiva;?>" size="17" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)">
		</font></strong></td>
    </tr>
    
<tr bordercolor="#000000">
		 <td>&nbsp;</td>
    <td>&nbsp;</td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	  <td>&nbsp;</td>
		<td><div align="right">Total</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
 <input name="txttotal" id="txttotal" type="text" value="<?=$txttotal;?>" size="17" style="text-align:center;font-size:14px;" onKeyPress="return vnum(event)">
		</font></strong></td>
    </tr>
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="20%">&nbsp;</td>
		<td width="30%" align="right"> <input type="button" name="Crear_nuevo_Producto" value="Crear nuevo Producto" onClick="fun_crea_nuevop();"  style="visibility:hidden"/></td>
		<td width="30%" align="left"><input type="button" name="Agregar_Nueva_Linea" value="Agregar Nueva Linea" onClick="fun_agregar();"></td>
		<td width="20%">&nbsp;</td>
    </tr>
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="35%">&nbsp;</td>
		<td width="10%" align="center">	<input type="button" name="Imprimir" value="Imprimir" onClick="fun_imprimir();" disabled="disabled"></td>
		<td width="10%" align="center">	<input type="button" name="Guardar" value="Guardar" onClick="fun_guardar();"></td>
		<td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
		<td width="35%">&nbsp;</td>
    </tr>
</table>
<input name="txtcom" type="text" id="txtcom" style="visibility:hidden" size="1" />
<input name="txtcnd" type="text" id="txtcnd" style="visibility:hidden" size="1" />
<input name="txtcs" type="text" id="txtcs" style="visibility:hidden" size="1" />
<input name="txtcs2" type="text" id="txtcs2" style="visibility:hidden" size="1" />
<input name="txtctacte" type="text" id="txtctacte" style="visibility:hidden" size="1" value="1" />


<input name="contrato_2" type="text" id="contrato_2" style="visibility:hidden" size="1" />
<input name="tipo_2" type="text" id="tipo_2" style="visibility:hidden" size="1" />
<input name="valor_2" type="text" id="valor_2" style="visibility:hidden" size="1" />
</form>
</body>
</html>


<script language="Javascript">
var nav4 = window.Event ? true : false;
function validanum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
function validanum2(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57) || key==46);
	}
function vnum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
function valida(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) document.form1.txtrsoc.focus()
	return (key <= 13 || (key >= 48 && key <= 57) || (key == 107) || (key == 75) || (key == 45) || (key == 46));
	}
function fun_agregar()
	{
	var cnt=<?=$cant;?>;
	cnt-=1;
	if ((document.getElementById("total["+cnt+"]").value=='') || (document.getElementById("precio["+cnt+"]").value=='') || (document.getElementById("detalle["+cnt+"]").value==''))
		{
		alert ("Ingrese todos los datos del producto existente");
		return false;
		}
	else
		{
		document.form1.action = "index.php?cnt=<?=$cant;?>";
		document.form1.target="_self";
		document.form1.submit();
		}
		
	}
function PopWindow(pagina)
	{
	if (pagina=='buscacliente.php')
		{
		window.open(pagina,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
	else
		{
		window.open(pagina,'TEST','width=1000,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
	}

function PopWindow3(cant)
	{
	var familia = document.getElementById("lstfamilia["+cant+"]").value;
	fami = familia.split(",");
	var bodega = document.getElementById("id_bodega").value;
	window.open('busqueda.php?id='+cant+"&fam="+fami[0]+"&bod="+bodega,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
	
function PopWindow4(cant)
	{
	window.open('busqueda.php?id='+cant,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
  
function comprueba()
	{
	if (document.form1.txtrut.value=='') return false
	if (Rut(document.form1.txtrut.value)) PopWindow('compruebaf.php?rutc='+document.form1.txtrut.value+"&suc="+document.form1.txtsucursal.value);
	}
	
function valval()
	{var reg=document.form1.lstreg.value;
	rellenaCombo('form1');
	document.form1.lstcom.value=document.form1.txtcom.value;
	}
function validaenter(evt, donde)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13&& donde==1) document.form1.txtemail.focus();
	if (key==13&& donde==2) document.form1.txtactividad.focus();
	if (key==13&& donde==3) document.form1.txtciudad.focus();
	if (key==13&& donde==4) document.form1.txtdireccion.focus();
	if (key==13&& donde==5) document.form1.txtfono.focus();
	if (key==13&& donde==6) document.form1.txtfax.focus();
	}	
	

	
function rellenaCombo(formulario)
	{
	with (document.forms[formulario]) 
        {
          var region = lstreg[lstreg.selectedIndex].value; 
          var n = lstcom.length;  
         
          lstcom.disabled = false;  
          
          for (var i = 0; i < n; ++i)
            lstcom.remove(lstcom.options[i]); 
          
          lstcom[0] = new Option("SELECCIONE CIUDAD", 'null'); 
          
          if (region != 'null')  
          {
   <?php
   
    $cons_region = mysql_query("SELECT * FROM regiones;", $enlace);
    $cont=0;
    while ( mysql_fetch_object ($cons_region) )
    {
     $reg = mysql_result($cons_region, $cont, "Cod_Region");
   ?>
            if (region == '<?php echo $reg;?>')
            {
    <?php
    
      $cons_comuna = mysql_query("SELECT * FROM comunas WHERE region = ".$reg." ORDER BY comuna;", $enlace);
      $cont2=0;
      while ( mysql_fetch_object ($cons_comuna) )
      {
       $id_comuna = mysql_result($cons_comuna, $cont2, "cod_comuna");
       $comuna = mysql_result($cons_comuna, $cont2, "comuna");
    ?>
              lstcom[lstcom.length] = new Option("<?php echo $comuna;?>", '<?php echo $id_comuna;?>');
    <?php
    
	   	$cont2 = $cont2 + 1;
      }
    ?>
            }
   <?php
   
   		$cont = $cont + 1;
    }
   ?>
           // lstcom.focus();  
          }
          else  
          {
            lstcom.disabled = true;  
           // lstreg.focus(); 
          }
          
          lstcom.selectedIndex = 0;  
        }
	}

function validaenter(evt, donde)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13&& donde==1) document.form1.txtemail.focus();
	if (key==13&& donde==2) document.form1.txtactividad.focus();
	if (key==13&& donde==3) document.form1.txtciudad.focus();
	if (key==13&& donde==4) document.form1.txtdireccion.focus();
	if (key==13&& donde==5) document.form1.txtfono.focus();
	if (key==13&& donde==6) document.form1.txtfax.focus();
	}
function busc_prod(donde)
	{
	var jsbp_codigo, flag;
	if (document.getElementById("codigo["+donde+"]").value!='')
		{
		flag=0;
		jsbp_codigo=document.getElementById("codigo["+donde+"]").value;
		<?
		$jsbp_sql = mysql_query("SELECT * FROM productos;", $enlace);
		$jsbp_cont=0;
		while ( mysql_fetch_object ($jsbp_sql) )
			{
			$jsbp_sql_codigo = mysql_result($jsbp_sql, $jsbp_cont, "codigo");
			?>
			if (jsbp_codigo == '<?=$jsbp_sql_codigo;?>')
				{
				<?
				$jsbp_sql_descripcion = mysql_result($jsbp_sql, $jsbp_cont, "descripcion");
				$saldo=mysql_result($jsbp_sql, $jsbp_cont, "saldo");
		         $peso=mysql_result($jsbp_sql, $jsbp_cont, "peso");
		         $pre=mysql_result($jsbp_sql, $jsbp_cont, "precio");
				  $afe=mysql_result($jsbp_sql, $jsbp_cont, "afecto");
				 $cont_des=0;
				 $des=0;
		$des_sql = mysql_query("SELECT * FROM descuentos_productos WHERE id_producto=$jsbp_sql_codigo;", $enlace);	
				while ( mysql_fetch_object ($des_sql) )
			         {
					 $des=mysql_result($des_sql, $cont_des, "descuento");
					$cont_des+=1; 
					 }
				?>
				document.getElementById("desc["+donde+"]").value=0;
				//***************
		 if ((document.getElementById("descuento_cliente").value)!=0 && (document.getElementById("descuento_cliente").value)!='S' && (document.getElementById("descuento_cliente").value)!='N')
		  
		{
	        if (<?=$des?>!=0)
	         {
			document.getElementById("desc["+donde+"]").value=document.getElementById("descuento_cliente").value; 
			 }
        }
		
	if ( (document.getElementById("descuento_cliente").value)=='S' || (document.getElementById("descuento_cliente").value)==0 )
	 {
	      if (<?=$des?>!=0)
	    {
	      document.getElementById("desc["+donde+"]").value='<?=$des?>'; 
	    }
	  }
				//****************
				
/*	if (document.form1.contrato_1.value>0)
	{
	//document.form1.codigo[1].value=document.form1.contrato_1.value;
       if (document.form1.tipo_1.value=='U')
	{
	document.form1.cantidad[1].value=document.form1.valor_1.value;
	document.form1.precio[1].value=document.form1.uf.value;
	}
   else
    {
	document.form1.cantidad[1].value=1;
	document.form1.precio[1].value=document.form1.valor_1.value;
    }
   
	}
*/
					if (document.getElementById("tipo_1").value=='U')
					{document.getElementById("precio["+donde+"]").value=document.getElementById("uf").value;
					document.getElementById("cantidad["+donde+"]").value=document.getElementById("valor_1").value;
					}
					
					else
					{
					document.getElementById("cantidad["+donde+"]").value=1;
					document.getElementById("precio["+donde+"]").value=document.getElementById("valor_1").value;
					}		
				
					document.getElementById("detalle["+donde+"]").value='<?=$jsbp_sql_descripcion?>';
					//document.getElementById("precio["+donde+"]").value=document.getElementById("valor_1").value;
					
					document.getElementById("auxsaldo["+donde+"]").value='<?=$saldo?>';
					document.getElementById("peso["+donde+"]").value='<?=$peso?>';
					document.getElementById("afecto["+donde+"]").value='<?=$afe?>';
					document.getElementById("cantidad["+donde+"]").focus();
					flag=1;
				}
			<?
			$jsbp_cont+=1;
			}
			?>
			
			
		if (flag == 0)
			{
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("desc["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("peso["+donde+"]").value='';
			document.getElementById("codigo["+donde+"]").focus();
				}
			}
		}
	


	
function fun_imprimir()
	{
	document.form1.action = 'imprimir_softemuco.php?cnt=<?=$contprod?>';
	document.form1.target='_blank';
	document.form1.submit();
	//document.form1.Imprimir.disabled=true;
	}


		
function fun_salir()
	{
	//var answer = confirm ("¿Desea guardar la venta?\n Cancelar para salir sin guardar");
	//if (answer)
		//{
		//fun_guardar();
		
		//}
	//else
		{
		window.top.open('','_parent','');window.top.close();
		}
	
	}
	
function fun_guardar()
	{
	if (com_tdatos()!=false)
		{
		fun_dcto();
		if((Number(document.form1.txttotal.value)>(Number(document.form1.txtmontoctacte.value)-Number(document.form1.txtsaldoctacte.value)))&&document.form1.lstpago.value==3)
			{
			alert("El total ingresado es mayor al monto disponible en la cuenta corriente");
			}
		else
			{
			var answer = confirm ("¿Seguro que desea guardar?");
			if (answer)
				{
        				//document.form1.Imprimir.disabled=false;
						//document.form1.Guardar.disabled=true;
						document.form1.action='guarda.php?cnt=<?=$contprod?>';
						document.form1.target='_blank';
						setTimeout('document.form1.submit();',500);	
						

    						
				}
			}	
		}
	}
// verifica datos clientes

function com_tdatos()
{
	if (document.form1.txtrut.value=='')
	{
		alert ("Ingrese el rut del cliente");
		document.form1.txtrut.focus()
		return false;
	}
	if (document.form1.txtrsoc.value=='')
	{
		alert ("Ingrese el nombre del cliente");
		document.form1.txtrsoc.focus();
		return false;
	}
	if (document.form1.lstreg.value=='null'){
		alert ("Seleccion Region");
		return false;
	}
	if (document.form1.lstcom.value=='null'){
		alert ("Seleccion Comuna");
		return false;
	}
	if (document.form1.txtciudad.value==''){
		alert ("Ingrese la ciudad");
		document.form1.txtciudad.focus();
		return false;
	}
	if (document.form1.txtdireccion.value==''){
		alert ("Ingrese la direccion");
		document.form1.txtdireccion.focus();
		return false;
	}

	if (document.form1.txtndcto.value==''){
		alert ("Ingrese el numero del documento");
		return false;
	}
	if (document.form1.txtst.value==''||document.form1.txtst.value==0){
		alert ("Ingrese al menos un producto");
		return false;
	}

	if (fun_cp()==false)
		{
		alert ("Ingrese al menos un producto");
		return false;
		}
	}

function fun_cp()
	{

	var jsi,jsf;
	jsf=0;
	for (jsi=1;jsi<=<?=$contprod?>;jsi++)
		{
		if (document.getElementById("codigo["+jsi+"]").value!='')
			{
			jsf+=1;
			}
		}

	if (jsf==0) return false;
	else return true;
	}
	
	
	
function fun_dcto()
	{
	var nd, td;
	nd=document.form1.txtndcto.value;
	td=document.form1.lstdcto.value;

	window.open('comnd.php?nd='+nd+'&td='+td,'TEST','width=1,height=1,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');

	}


	
function fun_crea_nuevop()
	{
	window.open('editar_producto.php?cp=0','TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
function fun_busca_numero_documento(formulario) //Busca numero de documentos
	{
	with (document.forms[formulario]) 
        {
        var dcto = lstdcto[lstdcto.selectedIndex].value; 
		var bodega = id_bodega[id_bodega.selectedIndex].value;
		
        if ((dcto != 'null') &&  (bodega != 'null'))
        	{
			<?php
			$cons_region = mysql_query("SELECT * FROM tipo_dcto, tipo_dcto_num_bodega WHERE tipo_dcto.id=tipo_dcto_num_bodega.id_dcto;", $enlace);
			$cont=0;
			while ( mysql_fetch_object ($cons_region) )
				{
				$reg = mysql_result($cons_region, $cont, "tipo_dcto_num_bodega.id_dcto");
				$DES = mysql_result($cons_region, $cont, "descripcion");
				$bod =  mysql_result($cons_region, $cont, "id_bodega");
				$correlativo = mysql_result($cons_region, $cont, "correlativo");
				?>
				
				if ((dcto == '<?php echo $reg;?>')  && (bodega=='<?php echo $bod;?>'))
					{
					<? $correlativo+=1; ?>
					
					 txtdocumento.value = '<?php echo $DES." Nº ".$correlativo;?>'
					 txtndcto.value = '<?php echo $correlativo;?>';
			        }
					
			    <?php
			    $cont = $cont + 1;
				}
			?>
          	}
		else  
        	{
            txtndcto.value = 1;  
	        }
        }
	}	
	

function validactacte()
	{
	if (document.form1.txtctacte.value==0)
		{
		alert("Este cliente no tiene cuenta corriente");
		document.form1.lstpago.value=1;
		}
	if (document.form1.txtmontoctacte.value==0)	
		{
		alert("El cliente no tiene monto en la cuenta corriente");
		document.form1.lstpago.value=1;
		}
    if (document.form1.txtmontoctacte.value+document.form1.txtsaldoctacte.value<0)	
		{
		alert("El cliente no tiene capacidad en la cuenta corriente");
		document.form1.lstpago.value=1;
		}
	
	}
	
	


function actualizadcto(formulario)
	{
	correlativo = document.getElementById("txtndcto").value;
	with (document.forms[formulario]) 
        {
        var dcto = lstdcto[lstdcto.selectedIndex].value; 
	
			<?php
			$cons_region = mysql_query("SELECT * FROM tipo_dcto;", $enlace);
			$cont=0;
			while ( mysql_fetch_object ($cons_region) )
				{
				$reg = mysql_result($cons_region, $cont, "id");
				$DES = mysql_result($cons_region, $cont, "descripcion");
				$correlativo=1;
			?>
				
				if (dcto == '<?php echo $reg;?>') 
					{
					 txtdocumento.value = "<?php echo $DES;?>" +" Nº " + correlativo;
			        }
					
		 <?php
			    $cont = $cont + 1;
				}
			?>
          	}
		
        }
function calculo(donde)
	{
	var cantidad, kilos, precio, desc, total, peso, tkilos, stot, i, totaluno, totaltot, j, f1, f2, letra, result,jsi, jsuser;
	jsuser = '<?=$id_user;?>';
	precio = document.getElementById("precio["+donde+"]").value;
	desc = document.getElementById("desc["+donde+"]").value;
	if ((Number(document.getElementById("auxsaldo["+donde+"]").value)<Number(document.getElementById("cantidad["+donde+"]").value))&&(jsuser!='admin'))
		{}
	cantidad = document.getElementById("cantidad["+donde+"]").value;	
	if (cantidad==0 ) cantidad='';
	
	if (cantidad!='')
		{
			totaltot=document.getElementById("cantidad["+donde+"]").value;
		f1=0;
		f2=0;
		result='';
		for (jsi=0;jsi<totaltot.length;jsi++)
			{
			
			letra=totaltot.charAt(jsi);
			if (letra==".")
				{
				if (f1==0 && jsi!=0)
					{ 
					result +="."; f1=1; 
					}
				else 
					{ 
					result +=""; 
					}
				}
			else
				{
				if(f2<2) result += totaltot.charAt(jsi);
				if  (f1!=0) f2+=1;
				}
			}		
	document.getElementById("cantidad["+donde+"]").value=Number(result);
	cantidad = document.getElementById("cantidad["+donde+"]").value;
		
		
		
		if (cantidad >= 0 && precio >0)
			{
			document.getElementById("total["+donde+"]").value=Number(cantidad)*Number(precio)*(1-Number(desc)/100);
	
				result = document.getElementById("total["+donde+"]").value;	
				var valor_actual = result.split(".");
				var entero1 = Number(valor_actual[0]);
				var decimal1 = valor_actual[1];	
				if (decimal1==undefined) decimal1='11';
				decimal1=decimal1.charAt(0);
				if (decimal1>=5) entero1+=1;
				total = entero1;
				document.getElementById("total["+donde+"]").value=total;
	
	
	
			total=0;
			tkilos=0;	
			for (i=1; i<=<?=$contprod?>; i++)
				{ kilos=0;
				stot=document.getElementById("total["+i+"]").value;
				cantidad=Number(document.getElementById("cantidad["+i+"]").value);
				peso=Number(document.getElementById("peso["+i+"]").value);
				if (cantidad>=0 && peso>=0) kilos=cantidad*peso;
				if (stot>0)
					{
					total=Number(total) + Number(stot);					
					}
				if (kilos>0)
					{
					tkilos=Number(tkilos) + Number(kilos);					
					}	
					
					
				}
				document.form1.txtst.value=total;
				document.form1.totalkilos.value=tkilos;
				
			fun_cint();
			}
		else
			{
			document.getElementById("codigo["+donde+"]").focus();
			}
			
		}
	else
		{
		if (document.getElementById("codigo["+donde+"]").value!='')
			{
			var answer = confirm ("¿Debe Ingresar cantidad? \n(Si elige cancelar debera ingresar el codigo producto de nuevo)");
			if (answer)
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			else
				{
				document.getElementById("codigo["+donde+"]").value='';
				document.getElementById("detalle["+donde+"]").value='';
				document.getElementById("precio["+donde+"]").value='';
				document.getElementById("total["+donde+"]").value='';
				document.getElementById("auxsaldo["+donde+"]").value='9999999999';
				total=0;	
				tkilos=0;
				for (i=1; i<=<?=$contprod?>; i++)
					{kilos=0;
					stot=document.getElementById("total["+i+"]").value;
					cantidad=Number(document.getElementById("cantidad["+i+"]").value);
				    peso=Number(document.getElementById("peso["+i+"]").value);
				if (cantidad>=0 && peso>=0) kilos=cantidad*peso;
					if (stot>0)
						{
						total=Number(total) + Number(stot);
						}
					if (kilos>0)
					    {
					    tkilos=Number(tkilos) + Number(kilos);					
					    }		
						
					}
				document.form1.txtst.value=total;
				document.form1.totalkilos.value=tkilos;
				document.getElementById("desc["+donde+"]").focus();
				}
			}
		}
		
		
		
	}
	
function fun_carga(evt, donde)
{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13)
		{
		var cnt=<?=$cont;?>;
		cnt-=1;
		//document.form1.action = "index.php?cont="+cnt+"&don="+donde;
		//document.form1.target="_self";
		//document.form1.submit();
		}
		
	return (key >= 0 && key <= 900);
	}
function fun_cint()
	{
	var jsdes, jexento, jsneto, jsiva, jstot, jsst, js_siva, jsiva_e, jsiva_d;
	js_siva='<?=$par_iva?>';
	if (document.form1.txtdes.value=='')document.form1.txtdes.value=0;
	if (document.form1.txtst.value=='')document.form1.txtst.value=0;
	if (document.form1.txtexento.value=='')document.form1.txtexento.value=0;
	jsdes=document.form1.txtdes.value;
	jsdes = jsdes;
	jsneto=document.form1.txtneto.value;
	jsneto = jsneto;
	jsiva=document.form1.txtiva.value;
	jsiva = jsiva;
	jsst=document.form1.txtst.value;
	jsst = jsst;
	if (Number(jsdes)>Number(jsst))
		{
		alert("El descuento no puede ser mayor al total");
		document.form1.txtdes.focus();
		document.form1.txtdes.value=0;
		return false;
		}
	document.form1.txtneto.value=Number(jsst)-Number(jsdes);
	jsneto=document.form1.txtneto.value;
	jsiva=Number(jsneto)*Number(js_siva);
	jsiva = jsiva.toFixed(0);
	
	document.form1.txtiva.value = jsiva;
	document.form1.txttotal.value=Number(document.form1.txtexento.value)+Number(document.form1.txtneto.value)+Number(document.form1.txtiva.value);
	}
	
function calcula_total()
	{
	var descuento, por;
	
	descuento=document.form1.txtdes.value;
	por=document.form1.txtpor.value;
	
	if(por=='') por=0;
	
	if (por>=0 && por<=10)
	
		{
	     descuento = parseInt(Number(document.form1.txtst.value)*(Number(por)/100));
			if (Number(descuento) < Number(document.form1.txtst.value))
				{
				document.form1.txtneto.value=Number(document.form1.txtst.value)-Number(descuento);
				document.form1.txtdes.value= Number(descuento);
				fun_cint();
				}
			else
				{
				alert("Descuento Mayor que el neto");
				document.form1.txtpor.value='';
				document.form1.txtdes.value=0;
				document.form1.txtneto.value=document.form1.txtst.value;
				}
			}
		else
			{
				alert("Descuento Mayor al 10%");
				document.form1.txtpor.value='';
				document.form1.txtdes.value=0;
				document.form1.txtneto.value=document.form1.txtst.value;
			
			}
		
		}	
		
		
function llena_contrato()
	{
	/*
	if (document.form1.contrato_1.value>0)
	{
	document.form1.codigo[1].value=document.form1.contrato_1.value;
   if (document.form1.tipo_1.value=='U')
	{
	document.form1.cantidad_1.value=document.form1.valor_1.value;
	//document.form1.precio[1].value=document.form1.uf.value;
	}
   else
    {
	document.form1.cantidad_1.value=1;
	//document.form1.precio[1].value=document.form1.valor_1.value;
    }
    document.form1.total_1.value=Number(document.form1.cantidad_1.value) * Number (document.form1.valor_1.value); 
	}
 if (document.form1.contrato_2.value>0)
	{
	document.form1.codigo[2].value=document.form1.contrato_2.value;
    if (document.form1.tipo_2.value=='U')
	{
	document.form1.cantidad[2].value=document.form1.valor_2.value;
	document.form1.precio[2].value=document.form1.uf.value;
	}
 else
    {
	document.form1.cantidad[2].value=1;
	document.form1.precio[2].value=document.form1.valor_2.value;
    }
	 document.form1.total[2].value=document.form1.cantidad[2].value*document.form1.precio[2].value; 
	}
	*/
	
	}	
</script>